<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/
/************************************************************************************
 * THEME USERS : Don't touch anything !! Or don't ask the theme author for support (:-0
 ************************************************************************************/
include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
 * FUNCTION ARRAY
 ************************************************************************************/
themetoolkit(
	'corporate_slave', 
	array(
	'separ1' => 'Left Column Category IDs {separator}',
	'col1cats' => 'Categories ## List categories by number as described for the function <a href="http://codex.wordpress.org/Template_Tags/query_posts">query_posts()</a> (e.g., 2,6,17,38 or 12,-7),. Default is 2.<br/><em>Format: <strong>12,-7</strong> = include category number 12 and exclude category 7.</em>',
	'separ2' => 'Right Column Category IDs {separator}',
	'col2cats' => 'Categories ## List categories by number as described for the function <a href="http://codex.wordpress.org/Template_Tags/query_posts">query_posts()</a> (e.g., 2,6,17,38 or 12,-7),. Default is 8.<br/><em>Format: <strong>12,-7</strong> = include category number 12 and exclude category 7.</em>',
	'separ3' => 'Top Post Category ID {separator}',
	'toppostcat' => 'Category ## Most recent post from this (single) category will be displayed as Top Post (and NOT be displayed anywhere else on the page). Default is 2.<br />Leave this empty if you do not want to display a Top Post.<br /><em>Format: <strong>2</strong> where 2 = category number 2.</em>',
	'separ4' => 'Image effects {separator}',
	'slimbox' => 'Disable slimbox effects? {checkbox|slimbox|disable|Disable slimbox} ## If checked, slimbox will be disabled (lightbox effects). Default is unchecked (enabled).<br /><em><strong>Note:</strong> No additional plugin(s) necessary.</em>',
	'separ5' => 'Typography {separator}',
	'bodyfontsize' => 'Base Font Size ## The base font size globally affects all font sizes throughout your blog. This can be in any unit (e.g., px, pt, em), but I suggest using a percentage (%). Default is 75%.<br/><em>Format: <strong>Xy</strong> where X = a number and y = its units.</em>',
	'bodyfontfamily' => 'Base Font Family {radio|arial, helvetica, sans-serif|<span style="font-family:arial, helvetica, sans-serif !important;font-weight:bold;">Arial</span> (Helvetica, sans serif)|"courier new", courier, monospace|<span style="font-family:courier new, courier, monospace !important;font-weight:bold;">Courier New</span> (Courier, monospace)|georgia, times, serif|<span style="font-family:georgia, times, serif !important;font-weight:bold;">Georgia</span> (Times, serif)|"lucida console", monaco, monospace|<span style="font-family:lucida console, monaco, monospace !important;font-weight:bold;">Lucida Console</span> (Monaco, monospace)|"lucida sans unicode", lucida grande, sans-serif|<span style="font-family:lucida sans unicode, lucida grande !important;font-weight:bold;">Lucida Sans Unicode</span> (Lucida Grande, sans serif)|tahoma, geneva, sans-serif|<span style="font-family:tahoma, geneva, sans-serif !important;font-weight:bold;">Tahoma</span> (Geneva, sans serif)|"times new roman", times, serif|<span style="font-family:times new roman, times, serif !important;font-weight:bold;">Times New Roman</span> (Times, serif)|"trebuchet ms", helvetica, sans-serif|<span style="font-family:trebuchet ms, helvetica, sans-serif !important;font-weight:bold;">Trebuchet MS</span> (Helvetica, sans serif)|verdana, geneva, sans-serif|<span style="font-family:verdana, geneva, sans-serif !important;font-weight:bold;">Verdana</span> (Geneva, sans serif)} ## The base font family sets the font for all elements except headers (see below). A fall-back font and the font family are in parentheses. Default is Verdana.',
	'headerfontfamily' => 'Header Font Family {radio|arial, helvetica, sans-serif|<span style="font-family:arial, helvetica, sans-serif !important;font-weight:bold;">Arial</span> (Helvetica, sans serif)|"courier new", courier, monospace|<span style="font-family:courier new, courier, monospace !important;font-weight:bold;">Courier New</span> (Courier, monospace)|georgia, times, serif|<span style="font-family:georgia, times, serif !important;font-weight:bold;">Georgia</span> (Times, serif)|"lucida console", monaco, monospace|<span style="font-family:lucida console, monaco, monospace !important;font-weight:bold;">Lucida Console</span> (Monaco, monospace)|"lucida sans unicode", lucida grande, sans-serif|<span style="font-family:lucida sans unicode, lucida grande !important;font-weight:bold;">Lucida Sans Unicode</span> (Lucida Grande, sans serif)|tahoma, geneva, sans-serif|<span style="font-family:tahoma, geneva, sans-serif !important;font-weight:bold;">Tahoma</span> (Geneva, sans serif)|"times new roman", times, serif|<span style="font-family:times new roman, times, serif !important;font-weight:bold;">Times New Roman</span> (Times, serif)|"trebuchet ms", helvetica, sans-serif|<span style="font-family:trebuchet ms, helvetica, sans-serif !important;font-weight:bold;">Trebuchet MS</span> (Helvetica, sans serif)|verdana, geneva, sans-serif|<span style="font-family:verdana, geneva, sans-serif !important;font-weight:bold;">Verdana</span> (Geneva, sans serif)} ## This selects the font for headings (h1, h2, h3, etc.) and other elements throughout your blog. A fall-back font and the font family are in parentheses. Default is Georgia.',
	'postentryalignment' => 'Post Text Alignment {radio|justify|Justified|left|Left aligned ("Ragged right")|right|Right aligned ("Ragged left")} ## Choose one for the text alignment of the post body text. Default is justified.',
	'separ6' => 'Layout {separator}',
	'wrapperwidth' => 'Layout Width ## Set the overall width of content in the browser window. This can be in any unit (e.g., px, pt, em), but I suggest using % for a fluid layout. Default is 90%.<br /><em>Format: <strong>Xy</strong> where X = a number and y = its units.</em>',
	'separ7' => 'Content {separator}',
	'sidebaraddin' => 'Sidebar Add-in {checkbox|showsidebaraddin|yes|Display the add-in sidebar content} ## If checked, the sidebar content below will appear in the sidebar throughout the blog, except on single post pages. Default is unchecked.<br/><em><strong>Note to Widgets users:</strong> If you are actively using the Widgets plugin, then the sidebar add-in text will not appear.</em>',
	'sidebartext' => 'Sidebar Add-in Content {textarea|10|55} ## Add/edit content for the sidebar section. This text must be parsed in HTML tags. You can use HTML, but beware of special characters: i.e., &amp; = <code>&amp;amp;</code>. Remember that this text <em>will not appear</em> unless "Sidebar Add-in" is checked above. Default is Lorem ipsum&hellip; .',
	'footeraddin' => 'Footer Add-in {checkbox|showfooteraddin|yes|Display the add-in footer text} ## If checked, the footer text below will appear in the footer throughout the blog. Default is unchecked.',
	'footertext' => 'Footer Add-in Text {textarea|10|55} ## Add/edit content for the footer. This text is placed within <code>&lt;p&gt;...&lt;/p&gt;</code> tags. Beware of special characters: i.e., &amp; = <code>&amp;amp;</code>. Remember that this text <em>will not appear</em> unless "Footer Add-in" is checked above. Default is Lorem ipsum&hellip; .',
	'debug' => 'debug',
	),
	__FILE__
);

/************************************************************************************
 * FUNCTION CALLS
 ************************************************************************************/
function corporate_slave_col1cats() {
	global $corporate_slave;
	if ( $corporate_slave->option['col1cats'] ) {
		print $corporate_slave->option['col1cats'];
	}
}
function corporate_slave_col2cats() {
	global $corporate_slave;
	if ( $corporate_slave->option['col2cats'] ) {
		print $corporate_slave->option['col2cats'];
	}
}
function corporate_slave_toppostcat() {
	global $corporate_slave;
	if ( $corporate_slave->option['toppostcat'] ) {
		print $corporate_slave->option['toppostcat'];
	}
}
function corporate_slave_slimbox() {
	global $corporate_slave;
	if ( $corporate_slave->option['slimbox'] ) {
		print $corporate_slave->option['slimbox'];
	}
}
function corporate_slave_bodyfontsize() {
	global $corporate_slave;
	if ( $corporate_slave->option['bodyfontsize'] ) {
		print 'body { font-size: ';
		print $corporate_slave->option['bodyfontsize'];
		print "; }\n";
	}
}
function corporate_slave_bodyfontfamily() {
	global $corporate_slave;
	if ( $corporate_slave->option['bodyfontfamily'] ) {
		print 'body { font-family: ';
		print $corporate_slave->option['bodyfontfamily'];
		print "; }\n";
	}
}
function corporate_slave_headerfontfamily() {
	global $corporate_slave;
	if ( $corporate_slave->option['headerfontfamily'] ) {
		print 'div.post-header, h2.post-title, p.post-date-single, h2.post-title-single, div.post-entry h1, div.post-entry h2, div.post-entry h3, div.post-entry h4, div.post-entry h5, div.post-entry h6, div.post-entry blockquote, div.post-footer, h3#comment-count, h4#comment-header, div#comments ol li p.comment-metadata, h4#respond { font-family: ';
		print $corporate_slave->option['headerfontfamily'];
		print "; }\n";
	}
}
function corporate_slave_postentryalignment() {
	global $corporate_slave;
	if ( $corporate_slave->option['postentryalignment'] ) {
		print 'div.post-entry p { text-align: ';
		print $corporate_slave->option['postentryalignment'];
		print "; }\n";
	}
}
function corporate_slave_wrapperwidth() {
	global $corporate_slave;
	if ( $corporate_slave->option['wrapperwidth'] ) {
		print 'div#wrapper { width: ';
		print $corporate_slave->option['wrapperwidth'];
		print "; }\n";
	}
}
function corporate_slave_sidebartext() {
	global $corporate_slave;
	if ( $corporate_slave->option['showsidebaraddin'] == 'yes' ) {
		print $corporate_slave->option['sidebartext'];
	}
}
function corporate_slave_footertext() {
	global $corporate_slave;
	if ( $corporate_slave->option['showfooteraddin'] == 'yes' ) {
		print $corporate_slave->option['footertext'];
	}
}

/************************************************************************************
 * FUNCTION DEFAULTS
 ************************************************************************************/
if ( !$corporate_slave->is_installed() ) {

	$set_defaults['col1cats'] = '2';
	$set_defaults['col2cats'] = '8';
	$set_defaults['toppostcat'] = '';
	$set_defaults['slimbox'] = '';
	$set_defaults['bodyfontsize'] = '75%';
	$set_defaults['bodyfontfamily'] = 'Verdana, Helvetica, sans-serif';
	$set_defaults['headerfontfamily'] = 'Verdana, Helvetica, sans-serif';
	$set_defaults['postentryalignment'] = 'justify';
	$set_defaults['wrapperwidth'] = '90%';
	$set_defaults['sidebartext'] = '<li><h2>More About</h2><p>Lorem ipusm text here can be customized in the <em>Presentation > blog.txt Themes Options</em> menu. You can also select within the options to exclude this section completely. <em>Most</em> XHTML <strong>tags</strong> will <span style="text-decoration:underline;">work</span>.</p></li>';
	$set_defaults['footertext'] = 'Lorem ipsum text here can be customized in the <em>Presentation > blog.txt Themes Options</em> menu. Inline (non-block) XHTML <strong>elements</strong> will <span style="text-decoration:underline;">work</span>.';
	$result = $corporate_slave->store_options($set_defaults) ;
}
/*
Plugin Name: Optimal Title
Plugin URI: http://elasticdog.com/2004/09/optimal-title/
Description: Mirrors the function of wp_title() exactly, but moves the position of the 'separator' to after the title rather than before.
Version: 1.0
Author: Aaron Schaefer
Author URI: http://elasticdog.com/
*/

function optimal_title($sep = '&raquo;', $display = true) {
	global $wpdb, $tableposts, $tablecategories;
	global $year, $monthnum, $day, $cat, $p, $name, $month, $posts, $single;

	// If there's a category
	if(!empty($cat)) {
		if (!stristr($cat, '-')) { // category excluded
			$title = stripslashes(get_the_category_by_ID($cat));
		}
	}
	if (!empty($category_name)) {
		$title = stripslashes($wpdb->get_var("SELECT cat_name FROM $tablecategories WHERE category_nicename = '$category_name'"));
	}

	// If there's a month
	if(!empty($m)) {
		$my_year = substr($m, 0, 4);
		$my_month = $month[substr($m, 4, 2)];
		$title = "$my_year $sep $my_month";
	}
	if (!empty($year)) {
		$title = $year;
		if (!empty($monthnum)) {
			$title .= " $sep ".$month[zeroise($monthnum, 2)];
		}
		if (!empty($day)) {
			$title .= " $sep ".zeroise($day, 2);
		}
	}

	// If there's a post
	if ($single) {
		$title = strip_tags(stripslashes($posts[0]->post_title));
		$title = apply_filters('single_post_title', $title);
	}

	// Send it out
	if ($display && isset($title)) {
		echo "$title $sep ";
	} elseif (!$display && isset($title)) {
		return "$title $sep ";
	}
}
/*
	End of Plugin Name: Optimal Title
*/
/*
Plugin Name: Hot Dates
Plugin URI: http://www.supriyadisw.net/2006/07/hot-dates
Description: Adds a little date blocks on wordpress.
Version: 1.0
Author: Supriyadi Slamet Widodo
Author URI: http://www.supriyadisw.net
*/
function show_hot_dates_head_content($param) {
  if (is_single()) echo'<style type="text/css">@import url(' . get_bloginfo('stylesheet_directory') . '/hotDates.css);</style>';
  return $param;
  }
add_action('wp_head', 'show_hot_dates_head_content');

function hotDates() { 
  echo '<div class="dateblock">';
  echo '<div class="month">';
  the_time('M');
  echo '</div>';
/*  echo '<div class="year">';
  the_time('Y');
  echo '</div>'; */
  echo '<div class="day">';
  the_time('j');
  echo '</div></div>';
 }
/*
	End of Plugin Name: Hot Dates
*/

/*
Plugin Name: Email Immunizer
Plugin URI: http://guff.szub.net/email-immunizer/
Description: Protect email addresses and mailto links on your blog from email harvesters.
Version: R1
Author: Kaf Oseo
Author URI: http://szub.net/

	Copyright (c) 2005, Kaf Oseo (http://szub.net)
	Email Immunizer is released under the GNU General Public License
	http://www.gnu.org/licenses/gpl.txt

	This is a WordPress plugin (http://wordpress.org).
*/
function email_immunizer($text) {
	return preg_replace('%((mailto:)?([\w\d][\w\d$.-]*[\w\d]@[\w\d][\w\d.-]*[\w\d]\.[a-z0-9]{2,5}))%ie', 'antispambot(\'$1\')', $text);
}

/* post and Page filters */
add_filter('the_author_email', 'email_immunizer', 9);
add_filter('the_content', 'email_immunizer', 9);
add_filter('the_excerpt', 'email_immunizer', 9);

/* comment filters */
add_filter('comment_author_email', 'email_immunizer', 9);
add_filter('comment_text', 'email_immunizer', 9);
add_filter('comment_excerpt', 'email_immunizer', 9);

/* rss filters */
add_filter('the_content_rss', 'email_immunizer', 9);
add_filter('the_excerpt_rss', 'email_immunizer', 9);
add_filter('comment_text_rss', 'email_immunizer', 9);
/*
	End of Plugin Name: Email Immunizer
*/

/*
	After selecting 'more'; Go to the top of the post
*/
function moregototop($content) {
	global $post;

	$content = str_replace('#more-' . $post->ID . '">', '">', $content);

	return $content;
}

add_filter('the_content', 'moregototop', 10);


/*
	Add lightbox effect (using moo & slimbox)
*/
global $corporate_slave;
if ( $corporate_slave->option['slimbox'] !== 'disable' ) {
function slimboxheaders($param) {
		echo "\n\t<!-- start slimbox -->\n";
		echo('<script src="' . get_bloginfo('template_directory') . '/slimbox/mootools.v1.11.js" type="text/javascript"></script>');
		echo('<script src="' . get_bloginfo('template_directory') . '/slimbox/js/slimbox.js" type="text/javascript"></script>');
		echo'<style type="text/css">@import url(' . get_bloginfo('template_directory') . '/slimbox/css/slimbox.css);</style>';
		echo "\n\t<!-- end slimbox -->\n";  
	return $param;
	}
	add_action('wp_head', 'slimboxheaders');

/* This function is from Kjell Bublitz's lightbox implementation */
define("img_extensions",'jpg|jpeg|png|gif|bmp|ico'); // checking for extension, divided by pipes (no leading or trailing pipe!!)
define("disable_lightbox_on_post",    '##NOLIGHTBOX##'); // disables the lightbox converter on the whole post/page
define("disable_lightbox_on_image",   'nolb'); // to be used in the title-tag, disables converter on image containing.
define("lightbox_debug",              '##LB_DEBUG##'); // if you put this in a post a debug output will be displayed.

function slimbox_converter($content)
{	// check if lightbox is not disabled for content
     if(stripos($content, disable_lightbox_on_post) === false) 
     {	// get all links
          preg_match_all('/\<a(.*?)href="(.*?)"(.*?)\>/i', $content, $found);
		// debug output  
          if(stripos($content, lightbox_debug) !== false) {
               echo "<div style='text-align:left;border:1px solid red;font-size:90%;padding:5px'><strong>Lightbox Debug</strong><br />";
               if(preg_match('/.('.img_extensions.')/i', $content)) {
                    $noimgcount = 0;
                    foreach($found[0] as $link) { 
                         if(preg_match('/.('.img_extensions.')/i', $link)) {
                              echo str_replace('<','&lt;',str_replace('>','&gt;',$link))."<hr />"; 
                         } else { $noimgcount++; } }
                    echo $noimgcount." links weren't imagelinks.";
               } else { echo "No images found."; }
               echo "</div>";
               $content = str_replace(lightbox_debug, "", $content); }      
                   
          // run conversion upon them
          foreach($found[0] as $link) 
          {	if(preg_match('/.('.img_extensions.')/i', $link)) 
               {	// check for series tag               
                    preg_match('/"{(.*)}/i',$link,$title);
                                        
                    // if there is a series tag
                    if($title[1] != "") 
                    {	// if the tag is not the disable tag
                         if($title[1] != disable_lightbox_on_image) 
                         {	// series replace
                              $nlink = str_replace($title[0].' ', '"', $link); // remove series tag
                              $nlink = str_replace('>',' rel="lightbox['.$title[1].']">',$nlink);  // add series rel-tag   
                         } else {	// no lightbox wanted, remove disable tag
                              $nlink = str_replace($title[0].' ', '"', $link); }
                    } else 	{	// simple image link, no series
                         $nlink = str_replace('>',' rel="lightbox">',$link);  // add default rel-tag   
							}                      
                    // replace the link with the new one                                   
                    $content = str_replace($link, $nlink, $content);  
               }                                                                
          }              
     } else { // remove lightbox disable string
			$content = str_replace(disable_lightbox_on_post, "", $content);
			}     
	return $content;
}

/* run the lightbox converter upon the content */
add_filter('the_content', 'slimbox_converter', 2);
} 
/*
	End adding lightbox effect (using moo & slimbox)
*/


/************************************************************************************
 * CALL FOR WIDGETS PLUGIN, V.1
 ************************************************************************************/
if( function_exists('register_sidebar') ) {
	register_sidebar( array (
		'name' => 'Main Sidebar',
	) );
}
function widget_mytheme_search() {
?>
<li id="search">
	<h2><label for="s">Search</label></h2>
	<form id="searchform" method="get" action="<?php bloginfo('home'); ?>/">
		<div>
			<input id="s" name="s" type="text" value="<?php echo wp_specialchars($s, 1); ?>" tabindex="1" size="10" />
			<br/>
			<input id="searchsubmit" name="searchsubmit" type="submit" value="Find" tabindex="2" />
		</div>
	</form> 
</li>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_mytheme_search');
?>